Summary: CUPS/Foomatic driver for Brother P-touch label printers
Name: ptouch-driver
Version: 1.3
Release: 8%{?dist}
License: GPL-2.0-or-later
Group: System Environment/Libraries
URL: http://www.diku.dk/~panic/P-touch/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source: http://www.diku.dk/~panic/P-touch/%{name}-%{version}.tar.gz
Patch0: ptouch-driver-1.3-pstoraster.patch
Patch1: ptouch-driver-1.2-switch_command_mode.patch
Patch2: ptouch-driver-1.2-typo.patch
Patch3: ptouch-driver-1.2-ql-550_650td-hack.patch
Patch4: ptouch-driver-1.2-cutmark_typo.patch
Patch5: ptouch-driver-1.2-ql-560.patch
Patch6: ptouch-driver-1.2-ql-560-cutter-hack.patch
Patch7: ptouch-driver-1.3-ql-570.patch
Patch8: ptouch-driver-1.2-gcc43.patch
Patch9: ptouch-driver-1.3-pt-2300.patch
Patch10: ptouch-driver-1.3-ql-720nw.patch
Patch11: ptouch-driver-1.3-EL9.patch
Patch12: ptouch-driver-1.3-ql-margins.patch
Requires: cups, foomatic
BuildRequires: cups-devel, doxygen
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The %{name} package consists of a CUPS raster filter for driving
the family of Brother P-touch label printers and corresponding
foomatic database XML entries.

%prep
%setup -q
%patch0 -p1 -b .pstoraster
%patch1 -p1 -b .switch_command_mode
%patch2 -p1 -b .typo
%patch3 -p1 -b .ql-550_650td-hack
%patch4 -p1 -b .cutmark_typo
%patch5 -p1 -b .ql-560
%patch6 -p1 -b .ql-560-cutter-hack
%patch7 -p1 -b .ql-570
%patch8 -p1 -b .gcc43
%patch9 -p1 -b .pt-2300
%patch10 -p1 -b .ql-720nw
%patch11 -p1 -b .EL9
%patch12 -p1 -b .ql-margins

%build
%configure --libdir=%{_prefix}/lib
%{__make}
doxygen

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README doc/html
%{_prefix}/lib/cups/filter/rastertoptch
%{_datadir}/foomatic/db/source/driver/ptouch.xml
%{_datadir}/foomatic/db/source/opt/Brother-Ptouch-*.xml
%{_datadir}/foomatic/db/source/printer/Brother-*.xml

%changelog
* Tue Aug 20 2024 Simon Matter <simon.matter@invoca.ch> 1.3-8
- add ql-margins patch

* Tue Aug 20 2024 Simon Matter <simon.matter@invoca.ch> 1.3-7
- change to SPDX license tag
- add support for EL9

* Thu Nov 07 2013 Simon Matter <simon.matter@invoca.ch> 1.3-6
- add patch to support for QL-720NW printer

* Wed Aug 03 2011 Simon Matter <simon.matter@invoca.ch> 1.3-5
- add support for EL6

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.3-4
- mass rebuild

* Mon Jan 17 2011 Simon Matter <simon.matter@invoca.ch> 1.3-3
- add patch to support for QL-570 printer

* Wed Apr 08 2009 Simon Matter <simon.matter@invoca.ch> 1.3-2
- fixed pstoraster patch to work with ghostscript in RHEL5.3

* Wed Feb 25 2009 Simon Matter <simon.matter@invoca.ch> 1.3-1
- upgrade to 1.3

* Thu Jul 17 2008 Simon Matter <simon.matter@invoca.ch> 1.2-10
- add patch to make cutting work with QL-560

* Wed Jul 16 2008 Simon Matter <simon.matter@invoca.ch> 1.2-9
- add patch to support for QL-560 printer

* Wed Jun 25 2008 Simon Matter <simon.matter@invoca.ch> 1.2-8
- fix cutting at job end

* Tue Apr 08 2008 Simon Matter <simon.matter@invoca.ch> 1.2-7
- fix printing of raster data, multipage printing doesn't work at all

* Sat Mar 17 2007 Simon Matter <simon.matter@invoca.ch> 1.2-6
- revert to switch_command_mode patch

* Tue Mar 13 2007 Simon Matter <simon.matter@invoca.ch> 1.2-5
- add patch to fix initialization of QL-650TD
- add small typo patch

* Sun Mar 11 2007 Simon Matter <simon.matter@invoca.ch> 1.2-2
- add patch to fix path to rastertoptch

* Fri Mar 09 2007 Simon Matter <simon.matter@invoca.ch> 1.2-1
- initial package
